Bug 237475 - libMagic statically links libltdl
libMagic statically links libltdl
Product: Fedora
Classification: Fedora
Component: ImageMagick (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Depends On:
Blocks: 216179
  Show dependency treegraph
Reported: 2007-04-23 09:15 EDT by Joe Orton
Modified: 2008-04-27 09:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-27 09:14:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2007-04-23 09:15:29 EDT
Description of problem:
libMagic contains a statically linked copy of libltdl:

# nm -D  /usr/lib/libMagick.so.10.0.3 | grep lt_
4eb2c400 T lt_dladderror
4eb2cd80 T lt_dladdsearchdir
4eb2bf10 T lt_dlcaller_get_data
4eb2bda0 T lt_dlcaller_register
4eb2bdf0 T lt_dlcaller_set_data
Comment 1 Bug Zapper 2008-04-03 20:12:47 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 2 Hans de Goede 2008-04-26 04:03:37 EDT
Short intro: I'm a new co-maintainer of ImageMagick and as such walking through
all open bugs.

I can confirm that this bug is still present in the current rawhide version and
I will look into fixing this as time permits.

Comment 3 Hans de Goede 2008-04-27 09:14:50 EDT
This is fixed in, which should become available in rawhide once it
unfreezes from the current F-9 freeze.

Note You need to log in before you can comment on or make changes to this bug.